Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Interceptor_List Class Reference

@brief Base class for the various portable interceptor lists used internally by TAO. More...

`#include <Interceptor_List.h>`

Inheritance diagram for TAO_Interceptor_List:

[legend]
List of all members.

## Public Methods
| TAO_Interceptor_List (void)
| Constructor. More...
virtual | ~TAO_Interceptor_List (void)
| Destructor. More...
## Protected Methods
size_t | add_interceptor_i (PortableInterceptor::Interceptor_ptr interceptor ACE_ENV_ARG_DECL) throw (CORBA::SystemException, PortableInterceptor::ORBInitInfo::DuplicateName)
| Register an in interceptor with interceptor list. More...
virtual size_t | length (void)=0
| Return the length of the underlying interceptor sequence. More...
virtual void | length (size_t)=0
| Set the length of the underlying interceptor sequence. More...
virtual PortableInterceptor::Interceptor_ptr | interceptor (size_t index)=0
| Return the interceptor in sequence element <index>. More...

## Detailed Description

@brief Base class for the various portable interceptor lists used internally by TAO.

## Constructor & Destructor Documentation

TAO_Interceptor_List::TAO_Interceptor_List | ( | void |  | ) |

| Constructor.

TAO_Interceptor_List::~TAO_Interceptor_List | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

size_t TAO_Interceptor_List::add_interceptor_i | ( | PortableInterceptor::Interceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, PortableInterceptor::ORBInitInfo::DuplicateName)`[protected]`

| Register an in interceptor with interceptor list.

virtual PortableInterceptor::Interceptor_ptr TAO_Interceptor_List::interceptor | ( | size_t | index | ) | `[protected, pure virtual]`

| Return the interceptor in sequence element <index>. Reimplemented in TAO_ClientRequestInterceptor_List, TAO_ServerRequestInterceptor_List, and TAO_IORInterceptor_List.

virtual void TAO_Interceptor_List::length | ( | size_t | len | ) | `[protected, pure virtual]`

| Set the length of the underlying interceptor sequence. Reimplemented in TAO_ClientRequestInterceptor_List, TAO_ServerRequestInterceptor_List, and TAO_IORInterceptor_List.

virtual size_t TAO_Interceptor_List::length | ( | void |  | ) | `[protected, pure virtual]`

| Return the length of the underlying interceptor sequence. Reimplemented in TAO_ClientRequestInterceptor_List, TAO_ServerRequestInterceptor_List, and TAO_IORInterceptor_List.

The documentation for this class was generated from the following files:

- Interceptor_List.h
- Interceptor_List.cpp